## org.apache.http.nio.reactor.ssl
Enum SSLMode

    java.lang.Object
      java.lang.Enum<SSLMode>
          org.apache.http.nio.reactor.ssl.SSLMode

All Implemented Interfaces:
  Serializable, Comparable<SSLMode>

    public enum SSLMode

extends Enum<SSLMode>

Since:
  4.2

Enum Constant Summary
`CLIENT`
`SERVER`

Method Summary
`static SSLMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SSLMode[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CLIENT

    public static final SSLMode CLIENT

### SERVER

    public static final SSLMode SERVER

Method Detail

### values

    public static final SSLMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SSLMode c : SSLMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SSLMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.